mia-3dcrispsegment(1)

NAME
mia-3dcrispsegment - Label segmentation according to probabilities.

SYNOPSIS
mia-3dcrispsegment -i <in-file> -o <out-file> [options]

DESCRIPTION
mia-3dcrispsegment This program creates a label image from a fuzzy segmentation. or each pixel the label is set to the class with the highest probability plus a given offset

OPTIONS

    -i --in-file=(input, required); io
        input class file, should contain multiple images with tissue class probabilities
         For supported file types see PLUGINS:3dimage/io

    -o --out-file=(output, required); io
        output class label image
         For supported file types see PLUGINS:3dimage/io

    -l --label-offset=1
        label offset

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 3dimage/io

analyze
    Analyze 7.5 image

    Recognized file extensions: .HDR, .hdr

    Supported element types:
        unsigned 8 bit, signed 16 bit, signed 32 bit, floating point 32 bit, floating point 64 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

dicom
    Dicom image series as 3D

    Recognized file extensions: .DCM, .dcm

    Supported element types:
        signed 16 bit, unsigned 16 bit

hdf5
    HDF5 3D image IO

    Recognized file extensions: .H5, .h5

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, signed 64 bit, unsigned 64 bit, floating point 32 bit, floating point 64 bit

inria
    INRIA image

    Recognized file extensions: .INR, .inr

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

mhd MetaIO 3D image IO using the VTK implementation (experimental).

    Recognized file extensions: .MHA, .MHD, .mha, .mhd

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

nifti
    NIFTI-1 3D image IO. The orientation is transformed in the same way like it is done with 'dicomtonifti --no-reorder' from the vtk-dicom package.

    Recognized file extensions: .NII, .nii

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, signed 64 bit, unsigned 64 bit, floating point 32 bit, floating point 64 bit

vff VFF Sun raster format

    Recognized file extensions: .VFF, .vff

    Supported element types:
        unsigned 8 bit, signed 16 bit

vista
    Vista 3D

    Recognized file extensions: .-, .V, .VISTA, .v, .vista

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

vti 3D image VTK-XML in- and output (experimental).

    Recognized file extensions: .VTI, .vti

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

vtk 3D VTK image legacy in- and output (experimental).

    Recognized file extensions: .VTK, .VTKIMAGE, .vtk, .vtkimage

    Supported element types:
        signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

EXAMPLE
Set the labels based on the input class probability file cls.v adding the offset 2 to each label and save the result to labeled.v.

mia-3dcrispsegment -i cls.v -o labeled.v -l 2

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.